LinuxQMISDK: voiceGetConfigReq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceGetConfigReq Struct Reference

## Data Fields
BYTE * | pAutoAnswer
BYTE * | pAirTimer
BYTE * | pRoamTimer
BYTE * | pTTYMode
BYTE * | pPrefVoiceSO
BYTE * | pAMRStatus
BYTE * | pPrefVoicePrivacy
BYTE * | pNamID
BYTE * | pVoiceDomainPref

## Detailed Description

This structure contains Voice Get Configuration Request Parameters

Parameters

  pAutoAnswer(optional) | Indicator to retrieve the Auto Answer Information. 0x01 - Include auto answer information
  pAirTimer(optional) | Indicator to retrieve the Air Timer Information. 0x01 - Include air calls timer count information Currently Not Supported.
  pRoamTimer(optional) | Indicator to retrieve the Roam Timer Information. 0x01 - Include roam calls timer information Currently Not Supported.
  pTTYMode(optional) | Indicator to retrieve the TTY Mode Information. 0x01 - Include TTY configuration status information
  pPrefVoiceSO(optional) | Indicator to retrieve the Preferred Voice SO Information. 0x01 - Include preferred voice configuration status information Currently Not Supported.
  pAMRStatus(optional) | Indicator to retrieve the AMR Status Information. 0x01 - Include AMR status information
  pPrefVoicePrivacy(optional) | Indicator to retrieve the Preferred Voice Privacy Information. 0x01 - Include preferred voice privacy status information
  pNamID(optional) | Index of the Number Assignment Module Index (CDMA subscription) to be configured Range: 0 to 3. Some modems support only 1 or 2 NAMs. The NAM Index is valid only when the request contains at least one of Air Timer, Roam Timer, and Preferred Voice SO. If no nam_id value is specified in the request,the default value is 0.
  pVoiceDomainPref(optional) | Indicator to retrieve the Preferred Voice Domain Information. 0x01 - Include voice domain preference information

Note
  Using NULL for the pointers would make sure that the parameter is not returned.

## Field Documentation

BYTE* voiceGetConfigReq::pAirTimer

BYTE* voiceGetConfigReq::pAMRStatus

BYTE* voiceGetConfigReq::pAutoAnswer

BYTE* voiceGetConfigReq::pNamID

BYTE* voiceGetConfigReq::pPrefVoicePrivacy

BYTE* voiceGetConfigReq::pPrefVoiceSO

BYTE* voiceGetConfigReq::pRoamTimer

BYTE* voiceGetConfigReq::pTTYMode

BYTE* voiceGetConfigReq::pVoiceDomainPref